return {
	'feline-nvim/feline.nvim',
	dependencies = {
		'nvim-tree/nvim-web-devicons',
	},
	config = function()
		local feline = require 'feline'
		local utils = require 'config.utils'
		local c = utils.feline_c
		local theme = utils.feline_theme
		local vi_mode_colors = utils.feline_vi_mode_colors

		local left = {
			c.vim_mode,
			-- c.gitBranch,
			-- c.gitDiffAdded,
			-- c.gitDiffRemoved,
			-- c.gitDiffChanged,
			c.file_info,
			c.right_separator,
			c.lsp_client_names,
			c.diagnostic_errors,
			c.diagnostic_warnings,
			c.diagnostic_info,
			c.diagnostic_hints,
		}

		-- local middle = {
		-- 	c.separator,
		-- }

		local right = {
			c.file_type,
			c.search_count,
			c.macro,
			c.file_encoding,
			-- c.startup,
			c.line_percentage,
			c.select_count,
			c.position,
		}

		local components = {
			active = {
				left,
				-- middle,
				right,
			},
			inactive = {
				left,
				-- middle,
				right,
			},
		}

		feline.setup {
			components = components,
			theme = theme,
			vi_mode_colors = vi_mode_colors,
		}
	end,
}
